跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
mintAndBurn
代币 - 铸造和销毁
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/mintAndBurn \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000000",
      "blockHeight": 123456789,
      "blockTimestamp": 1710417600000,
      "mintBurnType": "all",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "transactionSignature": "3A7B9C1D2E4F6G8"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向(next 或 prev) Pagination direction

可用选项:
next,
prev
type
enum<string>

铸造和销毁操作的筛选类型 Mint/burn type filter

可用选项:
all,
mint,
burn

响应

200 - application/json

获取铸造和销毁

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="